# $Revision: 1.14 $, $Date: 2011/05/24 13:47:50 $
# TODO
# - fc gettext-libs is contained in "gettext-devel, libasprintf", but which exactly?
#
# Conditional build:
%bcond_without	apidocs		# do not package API docs
%bcond_without	doc			# do not package user docs

Summary:	Tools to assist with translation and software localization
Name:		translate-toolkit
Version:	1.9.0
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/translate/%{name}-%{version}.tar.bz2
# Source0-md5:	6106bb27887a77c056bfa7d2fd89204d
Patch0:		%{name}-stoplist.patch
Patch1:		%{name}-langmodel_dir.patch
Patch2:		unbash.patch
URL:		http://translate.sourceforge.net/wiki/toolkit/index
BuildRequires:	checkbashisms
BuildRequires:	python-dateutil
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
# The following are needed for man page generation
BuildRequires:	python-lxml
BuildRequires:	python-simplejson
BuildRequires:	python-vobject
Requires:	python-iniparse
Requires:	python-lxml >= 2.1.0
Requires:	python-simplejson
Requires:	python-vobject
%ifarch %{ix86}
Requires:	python-psyco
%endif
Suggests:	iso-codes
Suggests:	python-Levenshtein
Suggests:	python-pyenchant
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A set of tools for managing translation and software localization via
Gettext PO or XLIFF format files.

Including:
- Convertors: convert from various formats to PO or XLIFF
- Formats:
  - Core localization formats - XLIFF and Gettext PO
  - Other localization formats - TMX, TBX, Qt Linguist (.ts), Java
    .properties, Wordfast TM, OmegaT glossary
  - Compiled formats: Gettext MO, Qt .qm
  - Other formats - OpenDocument Format (ODF), text, HTML, CSV, INI,
    wiki (MediaWiki, DokuWiki), iCal
  - Specialised - OpenOffice.org GSI/SDF, PHP, Mozilla (.dtd,
    .properties, etc), Symbian, Innosetup, tikiwiki, subtitles
- Tools: count, search, debug, segment and pretranslate localization
  files. Extract terminology. Pseudo-localize
- Checkers: validate translations with over 45 checks

%package apidocs
Summary:	Development API for translate-toolkit applications
Group:		Documentation

%description apidocs
Translate Toolkit API documentation for developers wishing to build
new tools for the toolkit or to use the libraries in other
localization tools.

%package doc
Summary:	User Manual for translate-toolkit
Group:		Documentation

%description doc
Documentation for translate-toolkit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
checkbashisms tools/*
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--skip-build \
	--root $RPM_BUILD_ROOT

# create manpages
install -d $RPM_BUILD_ROOT%{_mandir}/man1
for program in $RPM_BUILD_ROOT%{_bindir}/*; do
	case $(basename $program) in
	  pocompendium|poen|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|lookupclient.py|tmserver|build_tmdb)
	   ;;
	  *)
		LC_ALL=C PYTHONPATH=. $program --manpage \
		  > $RPM_BUILD_ROOT%{_mandir}/man1/$(basename $program).1 \
		  || rm -f $RPM_BUILD_ROOT%{_mandir}/man1/$(basename $program).1
		  ;;
	esac
done

%py_postclean

# remove documentation files from site-packages
rm -r $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/doc
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/{COPYING,ChangeLog,LICENSE,README}
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/{convert,filters,tools}/TODO
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/misc/README

# Move data files to %{_datadir}
mkdir  $RPM_BUILD_ROOT%{_datadir}/translate-toolkit
mv $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/share/stoplist* $RPM_BUILD_ROOT%{_datadir}/translate-toolkit
mv $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/share/langmodels $RPM_BUILD_ROOT%{_datadir}/translate-toolkit
rmdir $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/share

# we don't package tests
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/tools/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/convert/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/filters/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/lang/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/misc/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/search/indexing/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/search/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/storage/placeables/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/storage/test_*.py*
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/storage/xml_extract/test_*.py*

# build lang file
echo "%dir %{py_sitescriptdir}/translate/lang" > %{name}.lang
for a in $RPM_BUILD_ROOT%{py_sitescriptdir}/translate/lang/*.py[co]; do
	# path file and lang
	p=${a#$RPM_BUILD_ROOT} f=${a##*/} l=${f%.py*}
	case $l in
	code_or|common|data|factory|identify|__init__|ngram|poedit)
		echo $p >> %{name}.lang
		;;
	*)
		echo "%lang($l) $p" >> %{name}.lang
		;;
	esac
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc translate/ChangeLog translate/README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/translate-toolkit

%dir %{_datadir}/%{name}/langmodels
%{_datadir}/%{name}/langmodels/README
%{_datadir}/%{name}/stoplist-en
%{_datadir}/%{name}/langmodels/fpdb.conf

%lang(af) %{_datadir}/%{name}/langmodels/afrikaans.lm
%lang(ar) %{_datadir}/%{name}/langmodels/arabic.lm
%lang(be) %{_datadir}/%{name}/langmodels/belarus.lm
%lang(br) %{_datadir}/%{name}/langmodels/breton.lm
%lang(bs) %{_datadir}/%{name}/langmodels/bosnian.lm
%lang(ca) %{_datadir}/%{name}/langmodels/catalan.lm
%lang(cy) %{_datadir}/%{name}/langmodels/welsh.lm
%lang(cz) %{_datadir}/%{name}/langmodels/czech.lm
%lang(da) %{_datadir}/%{name}/langmodels/danish.lm
%lang(de) %{_datadir}/%{name}/langmodels/german.lm
%lang(el) %{_datadir}/%{name}/langmodels/greek.lm
%lang(en) %{_datadir}/%{name}/langmodels/english.lm
%lang(eo) %{_datadir}/%{name}/langmodels/esperanto.lm
%lang(es) %{_datadir}/%{name}/langmodels/spanish.lm
%lang(et) %{_datadir}/%{name}/langmodels/estonian.lm
%lang(eu) %{_datadir}/%{name}/langmodels/basque.lm
%lang(fi) %{_datadir}/%{name}/langmodels/finnish.lm
%lang(fr) %{_datadir}/%{name}/langmodels/french.lm
%lang(fy) %{_datadir}/%{name}/langmodels/frisian.lm
%lang(ga) %{_datadir}/%{name}/langmodels/irish_gaelic.lm
%lang(gd) %{_datadir}/%{name}/langmodels/scots.lm
%lang(gd) %{_datadir}/%{name}/langmodels/scots_gaelic.lm
%lang(gv) %{_datadir}/%{name}/langmodels/manx_gaelic.lm
%lang(he) %{_datadir}/%{name}/langmodels/hebrew.lm
%lang(hr) %{_datadir}/%{name}/langmodels/croatian.lm
%lang(hu) %{_datadir}/%{name}/langmodels/hungarian.lm
%lang(id) %{_datadir}/%{name}/langmodels/indonesian.lm
%lang(is) %{_datadir}/%{name}/langmodels/icelandic.lm
%lang(it) %{_datadir}/%{name}/langmodels/italian.lm
%lang(ja) %{_datadir}/%{name}/langmodels/japanese.lm
%lang(lt) %{_datadir}/%{name}/langmodels/lithuanian.lm
%lang(lv) %{_datadir}/%{name}/langmodels/latvian.lm
%lang(ms) %{_datadir}/%{name}/langmodels/malay.lm
%lang(nd) %{_datadir}/%{name}/langmodels/Ndebele.lm
%lang(nl) %{_datadir}/%{name}/langmodels/dutch.lm
%lang(no) %{_datadir}/%{name}/langmodels/norwegian.lm
%lang(po) %{_datadir}/%{name}/langmodels/polish.lm
%lang(pt) %{_datadir}/%{name}/langmodels/portuguese.lm
%lang(qu) %{_datadir}/%{name}/langmodels/quechua.lm
%lang(rm) %{_datadir}/%{name}/langmodels/romansh.lm
%lang(ro) %{_datadir}/%{name}/langmodels/romanian.lm
%lang(ru) %{_datadir}/%{name}/langmodels/russian.lm
%lang(sk) %{_datadir}/%{name}/langmodels/slovenian.lm
%lang(sk@latin) %{_datadir}/%{name}/langmodels/slovak_ascii.lm
%lang(sq) %{_datadir}/%{name}/langmodels/albanian.lm
%lang(sr) %{_datadir}/%{name}/langmodels/latin.lm
%lang(sr@latin) %{_datadir}/%{name}/langmodels/serbian_ascii.lm
%lang(ss) %{_datadir}/%{name}/langmodels/Swati.lm
%lang(st) %{_datadir}/%{name}/langmodels/NorthernSotho.lm
%lang(st) %{_datadir}/%{name}/langmodels/Sotho.lm
%lang(sv) %{_datadir}/%{name}/langmodels/swedish.lm
%lang(sw) %{_datadir}/%{name}/langmodels/swahili.lm
%lang(tl) %{_datadir}/%{name}/langmodels/tagalog.lm
%lang(tn) %{_datadir}/%{name}/langmodels/Tswana.lm
%lang(tr) %{_datadir}/%{name}/langmodels/turkish.lm
%lang(ts) %{_datadir}/%{name}/langmodels/Tsonga.lm
%lang(uk) %{_datadir}/%{name}/langmodels/ukrainian.lm
%lang(ve) %{_datadir}/%{name}/langmodels/Venda.lm
%lang(vi) %{_datadir}/%{name}/langmodels/vietnamese.lm
%lang(xh) %{_datadir}/%{name}/langmodels/Xhosa.lm
%lang(zh_CN) %{_datadir}/%{name}/langmodels/chinese_simplified.lm
%lang(zh_TW) %{_datadir}/%{name}/langmodels/chinese_traditional.lm
%lang(zu) %{_datadir}/%{name}/langmodels/Zulu.lm

%dir %{py_sitescriptdir}/translate
%{py_sitescriptdir}/translate/*.py[co]
%{py_sitescriptdir}/translate/convert
%{py_sitescriptdir}/translate/filters
%{py_sitescriptdir}/translate/misc
%{py_sitescriptdir}/translate/search
%{py_sitescriptdir}/translate/services
%{py_sitescriptdir}/translate/storage
%{py_sitescriptdir}/translate/tools
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/translate_toolkit-*.egg-info
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc translate/doc/user/*
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc translate/doc/api/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: translate-toolkit.spec,v $
Revision 1.14  2011/05/24 13:47:50  glen
- up to 1.9.0

Revision 1.13  2011/05/24 13:46:11  glen
- sorted

Revision 1.12  2011/01/31 10:21:14  glen
- simple url

Revision 1.11  2010/11/22 09:45:34  glen
- up to 1.8.1

Revision 1.10  2010/09/13 14:17:38  glen
- update to 1.8.0

Revision 1.9  2010/08/10 13:24:37  glen
- don't package some more tests; rel 3

Revision 1.8  2010/07/12 08:33:24  glen
- release 2

Revision 1.7  2010/05/14 20:18:54  sparky
- BR: python-dateutil, python-modules, rpm-pythonprov
- pld-ish header order; dropped second BuildRoot

Revision 1.6  2010/05/13 17:59:27  glen
- up to 1.7.0

Revision 1.5  2010/05/11 08:50:00  glen
- requires -> suggests; rel 2

Revision 1.4  2010/05/11 00:16:00  glen
- unbash tools; rel 1

Revision 1.3  2010/05/10 15:30:14  glen
- update runtime deps, doc subpackage

Revision 1.2  2010/05/10 14:31:57  glen
- more lang tags for langmodels

Revision 1.1  2010/05/10 10:47:31  glen
- new, based on fc
